package com.its.op.global;

import com.its.op.entity.its.vms.TbVmsCtlr;
import com.its.op.dao.repository.its.vms.TbVmsCtlrRepository;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

@Slf4j
@RequiredArgsConstructor
@Getter
@Component
public class VmsManager {

    private final TbVmsCtlrRepository repo;

    private static final ConcurrentHashMap<Long, TbVmsCtlr> objMap = new ConcurrentHashMap<>();

    @PostConstruct
    void init() {
        load();
    }

    public void load() {

        List<TbVmsCtlr> objList = repo.findAll();
        objList.forEach(obj -> {
            objMap.put(obj.getVmsCtlrNmbr(), obj);
        });
        //log.info("=== {}", objMap);
    }

    public static TbVmsCtlr get(Long id) {
        if (id == null) {
            return null;
        }
        return objMap.get(id);
    }
}
